Bug 475823 - Review Request: menu-cache - Caching mechanism for freedesktop.org compilant menus
Review Request: menu-cache - Caching mechanism for freedesktop.org compilant ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 12:37 EST by Christoph Wickert
Modified: 2017-02-06 11:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.2.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-06 11:10:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-12-10 12:37:10 EST
Spec URL: http://cwickert.fedorapeople.org/review/menu-cache.spec
SRPM URL: http://cwickert.fedorapeople.org/review/menu-cache-0.2.2-1.fc11.src.rpm
Description: Menu-cache is a caching mechanism for freedesktop.org compatible 
menus to speed up parsing of the menu entries. It is currently used by some of 
components of the LXDE desktop environment such as LXPanel or LXLauncher.
Comment 1 Christoph Wickert 2008-12-10 12:40:48 EST
Sebastian, I'm CC*ing you because the upcoming 0.4.0 version of your lxpanel package will need this.

$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/menu-cache-*
menu-cache.i386: E: zero-length /usr/share/doc/menu-cache-0.2.2/ChangeLog
menu-cache-devel.i386: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 1 warnings.

PCman promised me to add a proper changelog in the next tarball, that's why I'm to lazy to remove it temporarily. ;)
Comment 2 Sebastian Vahl 2008-12-11 12:06:14 EST
(In reply to comment #1)
> Sebastian, I'm CC*ing you because the upcoming 0.4.0 version of your lxpanel
> package will need this.

Yeah, I've already seen this in the cvs commits of lxpanel but haven't expected an update so soon. Thanks for the CC.
Comment 3 Sebastian Vahl 2009-02-25 11:55:57 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=1172968
[x]  Rpmlint output:
menu-cache.i386: E: zero-length /usr/share/doc/menu-cache-0.2.2/ChangeLog
menu-cache-devel.i386: W: no-documentation
[x]  Package is not relocatable.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[!]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[!]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :
MD5SUM upstream package:
[x]  Package is not known to require ExcludeArch, OR:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Header files in -devel subpackage, if present.
[x]  Static libraries in -devel subpackage, if present.
[!]  Package requires pkgconfig, if .pc files are present.
[x]  Development .so files in -devel subpackage, if present.
[x]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[-]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: f11-i386
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=1172968
[x]  Package functions as described.
[-]  Scriptlets must be sane, if used.
[x]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
1. most files in menu-cache-gen are licensed under LGPLv2+, so the License of the whole package should be LGPLv2+
2. menu-cache-devel requires glib2-devel which requires pkgconfig.
3. There was no new release of menu-cache in two months. So the ChangeLog entry in %doc should be addded when it is really included in the package.

=== Final Notes ===
1. As discussed in Jabber, fix the above items and the package is approved.


================
*** APPROVED ***
================
Comment 4 Christoph Wickert 2009-02-25 12:06:02 EST
Thanks for the review. I will fix the issues you raised after import.

New Package CVS Request
=======================
Package Name: menu-cache
Short Description: Caching mechanism for freedesktop.org compilant menus
Owners: cwickert svahl
Branches: F-10 
InitialCC:
Comment 5 Kevin Fenzi 2009-02-26 19:27:53 EST
cvs done.
Comment 6 Fedora Update System 2009-02-26 21:09:46 EST
menu-cache-0.2.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/menu-cache-0.2.2-1.fc10
Comment 7 Fedora Update System 2009-02-27 22:27:24 EST
menu-cache-0.2.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Christoph Wickert 2009-05-22 21:47:14 EDT
Package Change Request
======================
Package Name: menu-cache
New Branches: EL-4 EL-5
Owners: cwickert
Comment 9 Kevin Fenzi 2009-05-23 01:30:08 EDT
cvs done.
Comment 10 Ngo Than 2016-05-18 07:50:08 EDT
(In reply to Kevin Fenzi from comment #9)
> cvs done.

Kevin, we need it for epel7 branch. Could you please create the epel7 branch?
thanks
Comment 11 Ngo Than 2016-05-18 07:57:24 EDT
sorry, please ignore.
Comment 12 Kevin Fenzi 2016-05-18 10:23:40 EDT
Clearning needinfo
Comment 13 Ngo Than 2016-06-01 08:27:08 EDT
we need this package for epel7

Package Change Request
======================
Package Name: menu-cache
New Branches: EPEL7
Comment 14 Kevin Fenzi 2016-06-01 12:30:04 EDT
Please request the branch in pkgdb.
Comment 15 Kevin Fenzi 2016-06-13 10:30:21 EDT
Clearing needinfo.
Comment 16 Ngo Than 2017-02-06 11:10:17 EST
closed it as it's done.

Note You need to log in before you can comment on or make changes to this bug.